CscaMasterList (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.icao

## Class CscaMasterList

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.icao.CscaMasterList

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CscaMasterList
      extends ASN1Object

  The CscaMasterList object. This object can be wrapped in a CMSSignedData to be published in LDAP.

       CscaMasterList ::= SEQUENCE {
         version                CscaMasterListVersion,
         certList               SET OF Certificate }

       CscaMasterListVersion :: INTEGER {v0(0)}

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CscaMasterList(Certificate[] certStructs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certificate[]` | `getCertStructs()`
    `static CscaMasterList` | `getInstance(java.lang.Object obj)`
    `int` | `getVersion()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CscaMasterList

          public CscaMasterList(Certificate[] certStructs)

  - ### Method Detail

    - #### getInstance

          public static CscaMasterList getInstance(java.lang.Object obj)

    - #### getVersion

          public int getVersion()

    - #### getCertStructs

          public Certificate[] getCertStructs()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.